(*
 *
 *              A Mail Filtering and Control Utility   "MailUtl"
 *                     Copyright (C) 2002-2005  Fumio KAWAMATA
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.
 *
 *)

program MailUtl2;

uses
  MemCheck in 'D:\MemCheck2.70\MemCheck.pas',
  Forms,
  MailUtl2_Main in 'MailUtl2_Main.pas' {FormMain},
  MailUtl2_Settings in 'MailUtl2_Settings.pas' {FormSettings},
  MailUtl2_Global in 'MailUtl2_Global.pas',
  MailUtl2_DM in 'MailUtl2_DM.pas' {DM: TDataModule};

{$R *.res}

begin
  MemChk;
  Application.Initialize;
  Application.Title := 'Mail Utility';
  Application.CreateForm(TFormMain, FormMain);
  Application.CreateForm(TFormSettings, FormSettings);
  Application.CreateForm(TDM, DM);
  if AutoRun=True then
  begin
    FormMain.Show;
    FormMain.CheckMailBox;
    FormMain.DeleteMails(False);
    FormMain.Close;
  end;
  Application.Run;
end.
